#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8D,0x7B,0x5F,0x57,0x8E,0x76,0x63,0x87,0xC5,0xD8,0x8F,0x80,
		0xC1,0x8C,0x94,0x08,0xEB,0xA7,0x15,0x62,0x56,0x18,0xF1,0x10,
		0xE1,0xD0,0xAE,0x3F,0x27,0x22,0x2A,0x80,0xF0,0x3E,0x10,0x2E,
		0x87,0x55,0x73,0x3A,0x6A,0x0C,0xB6,0x10,0x7F,0xB6,0xB2,0xDF,
		0xEC,0x0D,0x93,0xC5,0x4D,0xD6,0x85,0x6D,0xD3,0x6A,0x0C,0xFB,
		0xD4,0x8A,0xDB,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
